* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-family: "Manrope", Arial, sans-serif;
}

.bold {
  font-weight: 700;
}

header {
  background-color: #045266;
  height: 96px;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 24px;
}

.container.header-container {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo-img {
  width: 210px;
  display: block;
}

.navbar-links {
  list-style-type: none;
  height: 100%;
  display: flex;
  align-items: center;
  gap: 32px;
  margin: 0;
  padding: 0;
}

.navbar-link {
  font-size: 16px;
  color: #ffffff;
  letter-spacing: 0.5px;
  text-decoration: none;
  font-weight: 600;
}

.burger-menu {
  display: none;
  width: 28px;
  height: 20px;
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
  position: relative;
}

.burger-menu span {
  position: absolute;
  width: 28px;
  height: 2.5px;
  background-color: white;
  left: 0;
  transition: all 0.3s ease;
}

.burger-menu span:nth-child(1) {
  top: 0;
}

.burger-menu span:nth-child(2) {
  top: 8px;
}

.burger-menu span:nth-child(3) {
  top: 16px;
  width: 20px;
  right: 0;
  left: auto;
}

.burger-menu.active span:nth-child(1) {
  transform: rotate(45deg);
  top: 8px;
}

.burger-menu.active span:nth-child(2) {
  opacity: 0;
}

.burger-menu.active span:nth-child(3) {
  transform: rotate(-45deg);
  top: 8px;
  right: auto;
  left: 0;
  width: 28px;
}

.container.account-activation {
  border-bottom: 1.5px solid #045266;
  padding: 64px 0;
}

.content {
  max-width: 760px;
  margin: 0 auto;
}

.account-title {
  color: #045266;
  font-size: 40px;
  margin: 0;
}

.account-info {
  margin-top: 36px;
  display: flex;
  flex-direction: column;
  gap: 6px;
  font-size: 18px;
}

.account-info-value {
  margin: 0;
}

.account-info-value .right {
  color: #045266;
}

.account-info-comment {
  margin: 0;
}

.section.analytic {
  margin-top: 36px;
  background-color: #f2f2f2;
}

.content.analytic {
  padding: 16px 0;
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.analytic-trader {
  margin: 0;
}

.analytic-text-line {
  margin: 0;
  line-height: 1.5;
}

.analytic-text-line.blue {
  color: #045266;
}

.section.navigation-buttons {
  margin-top: 16px;
}

.content.navigation-buttons {
  display: flex;
  justify-content: center;
  gap: 24px;
}

.navigation-button {
  text-decoration: none;
  height: 60px;
  padding: 0 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 3px solid #000000;
  color: #000000;
}

.navigation-button.blue {
  color: #045266;
  border-color: #045266;
}

.section.form {
  margin-top: 24px;
}

.form-text-attention {
  text-align: center;
  margin: 0;
}

.form-title {
  text-align: center;
  text-transform: uppercase;
  font-weight: 300;
  margin-top: 16px;
  margin-bottom: 24px;
  font-size: 20px;
}

form {
  display: flex;
  flex-direction: column;
  gap: 24px;
  max-width: 560px;
  margin: 0 auto;
}

.form-label {
  font-size: 20px;
}

.form-field {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.form-field-description {
  margin: 0;
  text-transform: uppercase;
  font-size: 14px;
  opacity: 0.7;
}

select {
  border: 1px solid #000000;
  appearance: none;
  background: transparent;
  border-radius: 0;
  cursor: pointer;
  font-size: 16px;
  height: 60px;
  line-height: 1.5;
  outline: none;
  padding: 0 24px;
  width: 100%;
  font-family: "Manrope", Arial, sans-serif;
}

.form-field.invalid select {
  border-color: red;
}

.form-field-error {
  margin: 0;
  color: red;
  font-size: 13px;
  display: none;
}

.form-field.invalid .form-field-error {
  display: block;
}

.error-block {
  height: 72px;
  padding: 0 24px;
  font-size: 16px;
  background-color: #f95d51;
  color: #ffffff;
  display: none;
  justify-content: center;
  align-items: center;
}

form.invalid .error-block {
  display: flex;
}

.error-block-text {
  margin: 0;
  font-size: 20px;
  color: #ffffff;
}

.form-button-wrapper {
  display: flex;
  justify-content: center;
}

.form-button {
  height: 60px;
  padding: 0 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #ffffff;
  background-color: #045266;
  border: none;
  outline: none;
  font-family: "Manrope", Arial, sans-serif;
  font-size: 16px;
  text-transform: uppercase;
  cursor: pointer;
  text-decoration: none;
}

.form-text-note {
  margin: 16px 0 0 0;
  line-height: 1.5;
}

.content.privacy {
  max-width: 960px;
  padding: 24px 0;
}

.privacy-text {
  margin: 0;
  font-size: 14px;
  line-height: 1.55;
}

.section.privacy {
  margin-top: 24px;
  background-color: #f2f2f2;
}

.section.info {
  padding-top: 36px;
  background-color: #f2f2f2;
}

.content.info {
  max-width: 100%;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  border-bottom: 1.5px solid #b1b4b6;
  padding-bottom: 32px;
  gap: 64px;
}

.info-column:first-child {
  grid-column: span 2;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.info-column:last-child {
  grid-column: span 2;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.info-column-big-title {
  font-size: 24px;
  font-weight: bold;
  margin: 0;
}

.info-column-description {
  color: #757575;
  font-size: 16px;
  line-height: 1.2;
  margin: 0;
}

.info-column-email {
  display: flex;
  align-items: center;
  gap: 6px;
  font-size: 16px;
  color: #004050;
  text-decoration: underline;
  text-decoration-color: transparent;
  font-weight: bold;
  transition: text-decoration-color 0.15s ease;
}

.info-column-email:hover {
  text-decoration-color: #004050;
}

.info-column-email img {
  width: 16px;
}

.info-column-title {
  margin: 0;
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 16px;
}

.info-column-text {
  margin: 0 0 10px 0;
}

.info-column-text a {
  color: #000000;
  text-decoration: underline;
  text-decoration-color: transparent;
  transition: text-decoration-color 0.15s ease;
}

.info-column-text a:hover {
  text-decoration-color: #004050;
  color: #004050;
}

.info-column-text .block {
  display: block;
}

.info-column-addresses {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.info-column-address {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.info-column-address-title {
  margin: 0;
  font-size: 18px;
  font-weight: bold;
  text-transform: uppercase;
}

.info-column-address-text {
  display: flex;
  align-items: center;
  gap: 16px;
  font-weight: 600;
  color: #004050;
  margin: 0;
}

.info-column-address-text.img {
  width: 18px;
}

.section.images {
  background-color: #f2f2f2;
  padding: 32px 0;
}

.content.images {
  max-width: 960px;
  padding: 24px 0;
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
}

.image {
  width: 160px;
}

.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.2s ease-in-out, visibility 0.2s ease-in-out;
}

.modal-overlay.active {
  opacity: 1;
  visibility: visible;
}

.modal {
  background-color: #fbfbf9;
  position: relative;
  width: 90%;
  max-width: 560px;
  max-height: 90vh;
  overflow-y: auto;
}

.modal.license {
  max-width: 760px;
}

.modal-close-btn {
  background: none;
  border: none;
  font-size: 24px;
  cursor: pointer;
  padding: 5px;
  line-height: 1;
}

.modal-content {
  display: flex;
  flex-direction: column;
}

.open-modal-btn {
  cursor: pointer;
}

.modal-close-btn {
  position: absolute;
  top: 10px;
  right: 10px;
}

.modal-close-btn svg {
  transition: opacity 0.2s ease-in-out;
}

.modal-close-btn svg:hover {
  opacity: 0.7;
}

.modal-header-img {
  display: block;
  width: 100%;
}

.modal-body {
  padding: 40px 48px;
}

.modal-uptitle {
  margin: 0;
  text-align: center;
  font-size: 12px;
  letter-spacing: 2.5px;
}

.modal-title {
  font-size: 32px;
  line-height: 1.17;
  margin: 12px 0 16px 0;
  text-align: center;
}

.modal-text {
  margin: 0;
  line-height: 1.55;
  text-align: center;
}

.modal-docs {
  margin-top: 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
}

.modal-doc-link {
  color: #222222;
  border: 2px solid #222222;
  border-radius: 100px;
  font-size: 14px;
  height: 52px;
  padding: 0 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
}

.section.rec {
  padding: 72px 0;
}

.content.rec {
  max-width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;
}

.rec-title {
  font-size: 48px;
  line-height: 1.23;
  color: #045266;
  margin: 0;
}

.rec-left-column {
  display: flex;
  flex-direction: column;
  gap: 48px;
}

.rec-info {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.rec-info-text {
  margin: 0;
  opacity: 0.5;
  line-height: 1.55;
  font-style: italic;
}

.rec-info-text .block {
  display: block;
}

.rec-billing-text {
  margin: 0;
  line-height: 1.55;
  color: #045266;
}

.rec-right-column {
  display: flex;
  flex-direction: column;
  gap: 24px;
  margin-top: 103px;
}

.rec-contact-text {
  margin: 0;
  font-size: 18px;
  line-height: 1.55;
}

.rec-contact-text.big {
  font-size: 20px;
}

.rec-contact-text.status {
  text-decoration: underline;
}

.rec-contact-text .blue {
  color: #045266;
}

.payment-button-wrapper {
  margin-top: 128px;
  display: flex;
  justify-content: center;
}

.payment-button {
  cursor: pointer;
  text-decoration: none;
  font-size: 22px;
  color: #067b4f;
  border: 3px solid #067b4f;
  border-radius: 50px;
  height: 60px;
  padding: 0 70px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
}

.payment-button::before {
  content: "";
  position: absolute;
  top: 0;
  left: -75%;
  width: 50%;
  height: 100%;
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.3) 100%
  );
  transform: skewX(-25deg);
  animation: shine 3s infinite linear;
}

.modal-content.rec {
  padding: 40px;
  gap: 24px;
}

.modal-rec-title {
  text-align: center;
  font-size: 32px;
  line-height: 1.17;
  margin: 0;
}

.modal-rec-text {
  margin: 0;
  line-height: 1.55;
  text-align: center;
}

.modal-rec-text.gray {
  opacity: 0.66;
}

.modal-rec-button {
  cursor: pointer;
  text-decoration: none;
  color: #222222;
  border: 2px solid #222222;
  border-radius: 100px;
  font-size: 14px;
  height: 48px;
  padding: 0 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  align-self: center;
}

.section.not-found {
  padding: 96px 0 210px 0;
}

.content.not-found {
  display: flex;
  flex-direction: column;
  gap: 36px;
  max-width: 560px;
  text-align: center;
}

.not-found-text {
  margin: 0;
  font-size: 18px;
  line-height: 1.55;
}

.not-found-text.blue {
  color: #045266;
}

.not-found-text.gray {
  opacity: 0.5;
}

@keyframes shine {
  0%,
  75% {
    left: -75%;
  }

  85% {
    left: 125%;
  }

  100% {
    left: 125%;
  }
}

@media (max-width: 1200px) {
  .modal {
    max-width: 460px;
  }

  .modal-title {
    font-size: 30px;
  }

  .modal-text {
    font-size: 14px;
  }

  .rec-title {
    font-size: 44px;
  }

  .rec-info-text {
    font-size: 14px;
  }

  .rec-left-column {
    gap: 32px;
  }

  .rec-right-column {
    margin-top: 80px;
  }

  .content.rec {
    grid-template-columns: 1fr;
  }

  .modal-rec-title {
    font-size: 30px;
  }

  .modal-rec-text {
    font-size: 14px;
  }

  .modal-content.rec {
    padding: 30px;
  }

  .not-found-text {
    font-size: 16px;
  }

  .section.not-found {
    padding: 96px 0 160px 0;
  }
}

@media (max-width: 992px) {
  .container {
    padding: 0 24px;
  }

  header {
    height: auto;
  }

  .logo-wrapper {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 96px;
  }

  .burger-menu {
    display: block;
  }

  .container.header-container {
    flex-wrap: wrap;
  }

  .navbar {
    width: 100%;
    padding: 20px 0;
    display: none;
  }

  .navbar.active {
    display: block;
  }

  .navbar-links {
    flex-direction: column;
    gap: 20px;
  }

  .content.info {
    grid-template-columns: 1fr;
    gap: 32px;
  }

  .container.account-activation {
    padding: 64px 24px;
  }

  .content.images {
    gap: 24px;
  }

  .info-column-text .block {
    display: inline;
  }

  .content {
    max-width: 600px !important;
  }

  .navigation-button {
    padding: 0 36px;
  }

  .modal-body {
    padding: 32px 32px;
  }
}

@media (max-width: 768px) {
  .content.navigation-buttons {
    gap: 16px;
  }

  .form-label {
    font-size: 16px;
  }

  .form-field-description {
    font-size: 12px;
  }

  .info-column-title {
    font-size: 16px;
    margin-bottom: 8px;
  }
}

@media (max-width: 576px) {
  .content.navigation-buttons {
    flex-wrap: wrap;
  }

  .navigation-button {
    width: 100%;
  }

  .form-button {
    width: 100%;
  }

  .modal-uptitle {
    font-size: 10px;
  }

  .modal-body {
    padding: 20px;
  }

  .modal-title {
    font-size: 26px;
  }

  .modal-text {
    font-size: 12px;
  }

  .modal-doc-link {
    font-size: 12px;
    padding: 0 18px;
    height: 44px;
  }

  .rec-title {
    font-size: 30px;
  }

  .rec-info-text {
    font-size: 12px;
  }

  .rec-left-column {
    gap: 24px;
  }

  .rec-right-column {
    margin-top: 48px;
    gap: 24px;
  }

  .content.rec {
    grid-template-columns: 1fr;
  }

  .rec-contact-text.big {
    font-size: 18px;
  }

  .payment-button-wrapper {
    margin-top: 64px;
  }

  .payment-button {
    font-size: 18px;
    padding: 0 40px;
  }

  .modal-rec-title {
    font-size: 26px;
  }

  .modal-rec-text {
    font-size: 12px;
  }

  .modal-content.rec {
    padding: 20px;
    gap: 16px;
  }

  .modal-rec-button {
    font-size: 12px;
    height: 44px;
    padding: 0 18px;
  }

  .not-found-text {
    font-size: 14px;
  }

  .content.not-found {
    gap: 16px;
  }

  .content.info {
    grid-template-columns: 1fr;
  }

  .info-column:first-child {
    grid-column: span 1;
  }

  .info-column:last-child {
    grid-column: span 1;
  }

  .info-column-big-title {
    font-size: 20px;
  }

  .info-column-description {
    font-size: 14px;
  }

  .info-column-title {
    font-size: 16px;
  }

  .info-column-text {
    font-size: 14px;
  }

  .info-column-address-title {
    font-size: 16px;
  }

  .info-column-address-text {
    font-size: 14px;
  }

  .info-column-email {
    word-break: break-all;
  }
}
